## dcl 5.4.9

=== demo/math1/Makefile ===
#
#       Makefile for math1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= blklib chrlib fnclib gnmlib ifalib indxlib intlib \
		  lrllib oslib  rfalib rfblib sublib syslib vialib \
		  viblib vralib vrblib gt2dlib clsplib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/math2/Makefile ===
#
#       Makefile for math2
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= fftlib intrlib rnmlib vstlib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/grph2/umpack/Makefile ===
#
#       Makefile for umpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBSRCS		= test01.f     test02.f     test03.f     test04.f     \
		  test05.f     test06.f     test07.f     test08.f     \
		  test09.f     umpk01.f     umpk02.f     umpk03.f     \
		  umpk04.f     umpk05.f     test10.f
LIBDEMO		= test01       test02       test03       test04       \
		  test05       test06       test07       test08       \
		  test09       umpk01       umpk02       umpk03       \
		  umpk04       umpk05       test10
LIBEXEC		= test01$(EXT) test02$(EXT) test03$(EXT) test04$(EXT) \
		  test05$(EXT) test06$(EXT) test07$(EXT) test08$(EXT) \
		  test09$(EXT) umpk01$(EXT) umpk02$(EXT) umpk03$(EXT) \
		  umpk04$(EXT) umpk05$(EXT) test10$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/math1/indxlib/Makefile ===
#
#       Makefile for indxlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= indxlib
LIBSRCS		= indx01.f     indx02.f
LIBDEMO 	= indx01       indx02
LIBEXEC 	= indx01$(EXT) indx02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/lrllib/Makefile ===
#
#       Makefile for lrllib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= lrllib
LIBSRCS		= lrll01.f     lrll02.f
LIBDEMO 	= lrll01       lrll02
LIBEXEC 	= lrll01$(EXT) lrll02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== src/grph1/swpack/Makefile ===
#
#       Makefile for swpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= swpack
LIBFSRCS	= swcget.f swcmll.f swcqnp.f swiget.f swiqnp.f swlget.f \
		  swlqnp.f swpack.f swpget.f swpqnp.f swqfnm.f swrget.f \
		  swrqnp.f
LIBCSRCS	= cfnchr.c z1pack.c zgpack.c ztpack.c zxpack.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= swcget.o swcmll.o swcqnp.o swiget.o swiqnp.o swlget.o \
		  swlqnp.o swpack.o swpget.o swpqnp.o swqfnm.o swrget.o \
		  swrqnp.o
LIBCOBJS	= cfnchr.o z1pack.o zgpack.o ztpack.o zxpack.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

swiqnp.f: swiqnp.g
	@echo "Substituting system constants (swiqnp.g -> swiqnp.f)"
	@sed -e "s!@DCLNWS!$(DCLNWS)!" \
	     -e "s!@IWIDTH!$(IWIDTH)!" \
	     -e "s!@IHEIGHT!$(IHEIGHT)!" \
	     swiqnp.g > swiqnp.f

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ swiqnp.f

=== src/grph2/uipack/Makefile ===
#
#       Makefile for uhpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBFSRC         = uic2d.f uiconv.f uicrgb.f uifpac.f uiiget.f uiiqnp.f  \
                  uilget.f uilqnp.f uipcmp.f uipda2.f uipdat.f uipdaz.f \
                  uiqfnm.f uirget.f uirqnp.f uixbar.f uiybar.f uic3d.f  \
                  uipda3.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS         = uic2d.o uiconv.o uicrgb.o uifpac.o uiiget.o uiiqnp.o \
                  uilget.o uilqnp.o uipcmp.o uipda2.o uipdat.o uipdaz.o \
                  uiqfnm.o uirget.o uirqnp.o uixbar.o uiybar.o uic3d.o  \
                  uipda3.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math2/vstlib/Makefile ===
#
#       Makefile for vstlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vstlib
LIBFSRCS	= vs1int.f vs2int.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vs1int.o vs2int.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/misc1/misclib/Makefile ===
#
#       Makefile for misclib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= misclib
LIBFSRCS	= cns.f cdblk.f
LIBCSRCS	= dclvnm.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= cns.o cdblk.o
LIBCOBJS	= dclvnm.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

dclvnm.o: dclvnm.c
	$(CC) $(CFLAGS) -DDCLVER=\"dcl-$(DCLVERSION)\" -c dclvnm.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/control ===
Source: dcl
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~),
  autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, gfortran, chrpath
Standards-Version: 3.9.5
Homepage: http://www.gfd-dennou.org/arch/dcl/

Package: dcl-f77
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Suggests: dcl-f77-utils
Conflicts: dcl-gfortran, dcl-g77
Replaces: dcl-gfortran, dcl-g77
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage to install libf77dcl-dev


Package: libf77dcl-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  libf77dcl5 (= ${binary:Version}), libgtk2.0-dev, gfortran
Conflicts: dcl-util
Provides: dcl-util
Replaces: dcl-util
Suggests: dcl-f77-utils
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static library, header files, wrapper scripts.

Package: libf77dcl5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides shared library, database files.

Package: libf77dcl5-dbg
Architecture: any
Section: debug
Priority: extra
Conflicts: dcl-f77-dbg (>= 5.4.0~)
Replaces: dcl-f77-dbg (>= 5.4.0~)
Provides: dcl-f77-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl5 (= ${binary:Version})
Suggests: gdb
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides debug symbols for dcl-f77

Package: dcl-f77-utils
Architecture: all
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}, mawk
Description: GFD-DENNOU Club Library compiled by GNU Fortran compiler
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides post-processing scripts for output images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

FFLAGS += -fPIC
CFLAGS += -fPIC

%:
	dh $@

override_dh_auto_configure:
	FC=gfortran \
	  dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm debian/tmp/usr/bin/dclconfig
	find debian/tmp/usr/bin -type f   \
		! -name "*dclps*"             \
		! -name "dclcc"               \
		! -name "dclfrt"              \
		! -name "dclconfig*"          \
		| xargs chrpath -d
	for f in `find debian/tmp/usr/bin/ ! -type d ` ; do \
		mv $$f debian/tmp/usr/bin/`basename $$f`-f77 ;\
	done
	rm debian/tmp/usr/bin/dclfrt-f77 ; cp debian/dclfrt debian/tmp/usr/bin/dclfrt-f77 ; chmod 755 debian/tmp/usr/bin/dclfrt-f77
	rm debian/tmp/usr/bin/dclcc-f77  ; cp debian/dclcc debian/tmp/usr/bin/dclcc-f77   ; chmod 755  debian/tmp/usr/bin/dclcc-f77
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.5 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.5.4.0 \
	  `find $(CURDIR) -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.5.4.0 libf77dcl.so.5 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.5.4.0 libf77dcl.so )

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchengelogs:
	dh_installchangelogs --all --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libf77dcl5-dbg

=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/dcl/SIGEN.htm dcl-([0-9].*)\.tar\.gz

## dcl 6.0.0

=== src/Makefile ===
#
#       Makefile for src
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

OBJDIRS		= math1 misc1 grph1 math2 grph2
ALLDIRS		= math1 misc1 grph1 env1 math2 grph2 env2
 

object:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i/" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making a library file with $$i/" ; \
	  $(MAKE) library ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

dbase:
	@cd env1 ; \
	echo "Making database in env1/" ; \
	$(MAKE) ; \
	cd ..

exec:
	@cd env2 ; \
	echo "Making exec files in env2/" ; \
	$(MAKE) ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(ALLDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/grph1/Makefile ===
#
#       Makefile for grph1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= csgi sgpack slpack stpack swpack szpack scpack $(OLDSRC)


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/grph2/g2pack/Makefile ===
#
#       Makefile for g2pack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= g2pack
LIBSRCS		= g2pk01.f     g2pk02.f 
LIBDEMO 	= g2pk01       g2pk02
LIBEXEC 	= g2pk01$(EXT) g2pk02$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/ulpack/Makefile ===
#
#       Makefile for ulpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ulpack
LIBSRCS		= ulpk01.f     ulpk02.f
LIBDEMO 	= ulpk01       ulpk02
LIBEXEC 	= ulpk01$(EXT) ulpk02$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out *.eps *.svg *.pdf a.out

=== demo/grph2/umpack/Makefile ===
--- 
+++ 
@@ -24,4 +24,4 @@
 all: $(LIBDEMO)
 
 clean:
-	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
+	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/fnclib/Makefile ===
#
#       Makefile for fnclib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fnclib
LIBSRCS		= fncl01.f
LIBDEMO 	= fncl01
LIBEXEC 	= fncl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/chklib/Makefile ===
#
#       Makefile for chklib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chklib
LIBSRCS		= chkl01.f
LIBDEMO 	= chkl01
LIBEXEC 	= chkl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/hexlib/Makefile ===
#
#       Makefile for hexlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= hexlib
LIBSRCS		= hexl01.f
LIBDEMO 	= hexl01
LIBEXEC 	= hexl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/miss/Makefile ===
#
#       Makefile for miss (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= miss
LIBSRCS		= miss1.f     miss2.f
LIBDEMO		= miss1       miss2
LIBEXEC		= miss1$(EXT) miss2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/quick/Makefile ===
#
#       Makefile for quick (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= quick
LIBSRCS		= quick1.f     quick2.f     quick3.f     quick4.f     \
		  quick5.f
LIBDEMO		= quick1       quick2       quick3       quick4       \
		  quick5
LIBEXEC		= quick1$(EXT) quick2$(EXT) quick3$(EXT) quick4$(EXT) \
		  quick5$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== src/env2/dclclr/Makefile ===
#
#       Makefile for dclclr
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dclclr.f
BINNAME = dclclr$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(FC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/grph1/csgi/Makefile ===
#
#       Makefile for csgi
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= csgi
LIBFSRCS	= csgi.f isgc.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= csgi.o isgc.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

csgi.f: csgi.f.$(CSGI)
	@echo "Selecting system dependent code (csgi.f.$(CSGI))"
	$(CP) csgi.f.$(CSGI) csgi.f

isgc.f: isgc.f.$(CSGI)
	@echo "Selecting system dependent code (isgc.f.$(CSGI))"
	$(CP) isgc.f.$(CSGI) isgc.f

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ $(LIBFSRCS)

=== debian/changelog ===
dcl (6.0.0-1) unstable; urgency=medium

  * Update debian/watch: follow upstream file renaming
  * Imported Upstream version 6.0.0
  * Update Package name: shlib bump
  * Bump Standard Version: 3.9.6
  * Update copyright, rules
  * Rename Packages
  * Add patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Aug 2015 14:07:52 +0900

dcl (5.4.9-1) unstable; urgency=medium

  * Imported Upstream version 5.4.9
  * Add Multipath Support
  * Add watch file
  * Change patch handling: using gbp-pq
  * Update dclconfig script name
  * Bump Standard Version: 3.9.5
  * Update compat: 9, enable hardening flags

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 17 Jan 2014 03:04:14 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	FC=gfortran \
	  dh_auto_configure -- --prefix=/usr

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm debian/tmp/usr/bin/dclconfig
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.6 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.0 \
	  `find $(CURDIR) -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.0 libf77dcl.so.6 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.0 libf77dcl.so )

override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*
	rm -f $(CURDIR)/src/misc1/fiolib/fcpack.f

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchengelogs:
	dh_installchangelogs --all --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libf77dcl6-dbg

## dcl 6.0.2

=== demo/misc1/Makefile ===
#
#       Makefile for misc1
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= bitlib chglib chklib chnlib clcklib datelib fmtlib \
		  hexlib misclib randlib timelib clsplib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/gokuraku/layout/Makefile ===
#
#       Makefile for layout (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= layout
LIBSRCS		= lay1.f     lay2.f
LIBDEMO		= lay1       lay2
LIBEXEC		= lay1$(EXT) lay2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uipack/Makefile ===
#
#       Makefile for uipack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBSRCS		= uipk01.f     uipk02.f uipk03.f
LIBDEMO 	= uipk01       uipk02 uipk03
LIBEXEC 	= uipk01$(EXT) uipk02$(EXT) uipk03$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/gnmlib/Makefile ===
#
#       Makefile for gnmlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= gnmlib
LIBSRCS		= gnml01.f
LIBDEMO 	= gnml01
LIBEXEC 	= gnml01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/gt2dlib/Makefile ===
#
#       Makefile for gt2dlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= gt2dlib
LIBSRCS		= gt2d01.f
LIBDEMO 	= gt2d01
LIBEXEC 	= gt2d01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/chnlib/Makefile ===
#
#       Makefile for chnlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chnlib
LIBSRCS		= chnl01.f     chnl02.f     chnl03.f
LIBDEMO 	= chnl01       chnl02       chnl03
LIBEXEC 	= chnl01$(EXT) chnl02$(EXT) chnl03$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/uspack/Makefile ===
#
#       Makefile for uspack (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uspack
LIBSRCS		= uspac1.f     uspac2.f     uspac3.f     uspac4.f
LIBDEMO		= uspac1       uspac2       uspac3       uspac4
LIBEXEC		= uspac1$(EXT) uspac2$(EXT) uspac3$(EXT) uspac4$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== src/env2/dcldate/Makefile ===
#
#       Makefile for dcldate
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dcldate.f
BINNAME = dcldate$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(FC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/grph2/udpack/Makefile ===
#
#       Makefile for udpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= udpack
LIBFSRCS	= udcntr.f udcntz.f udgcla.f udgclb.f udiclv.f rudlev.f \
		  udline.f uduxuy.f udgrdn.f rudval.f udbset.f udbclr.f \
		  ludchk.f udiclr.f udlabl.f udiget.f udiqnp.f udlget.f \
		  udlqnp.f udrget.f udrqnp.f udpget.f udpqnp.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= udcntr.o udcntz.o udgcla.o udgclb.o udiclv.o rudlev.o \
		  udline.o uduxuy.o udgrdn.o rudval.o udbset.o udbclr.o \
		  ludchk.o udiclr.o udlabl.o udiget.o udiqnp.o udlget.o \
		  udlqnp.o udrget.o udrqnp.o udpget.o udpqnp.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (6.0.2-6~1.gbp9c5a08) unstable; urgency=medium

  ** SNAPSHOT build @9c5a0899075178bd55c8b74b87d4c1a062907a85 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Sun, 27 Dec 2015 23:32:13 +0900

dcl (6.0.2-6) unstable; urgency=medium

  * Add transitional package: libf77dcl5

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 08 Sep 2015 23:00:08 +0900

dcl (6.0.2-5) unstable; urgency=medium

  * Update description: Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 18:03:17 +0900

dcl (6.0.2-4) unstable; urgency=medium

  * Update package descriptions
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 14:31:09 +0900

dcl (6.0.2-3) unstable; urgency=medium

  * Add patch: rename dclconfig601 -> dclconfig602

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 21 Aug 2015 14:45:16 +0900

dcl (6.0.2-2) unstable; urgency=medium

  * Update Depends
  * Add transitional package: dcl-f77-utils

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 21 Aug 2015 14:19:11 +0900

dcl (6.0.2-1) unstable; urgency=medium

  * Imported Upstream version 6.0.2
  * Update rules: rename install files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 20 Aug 2015 11:56:12 +0900

dcl (6.0.0-3) unstable; urgency=medium

  * Update debian/changelog

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Aug 2015 17:36:06 +0900

dcl (6.0.0-2) unstable; urgency=medium

  * Update debian scripts

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Aug 2015 15:38:46 +0900

=== debian/control ===
Source: dcl
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~), autotools-dev,
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev,
	gfortran,
	chrpath
Standards-Version: 3.9.6
Homepage: http://www.gfd-dennou.org/arch/dcl/

Package: dcl-f77
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
Pre-Depends: ${misc:Pre-Depends}
Suggests: dcl-utils
Description: GFD-DENNOU Club Library (DCL) - FORTRAN77 version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage to install libf77dcl-dev

Package: libf77dcl-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
	libf77dcl6 (= ${binary:Version}),
	libgtk2.0-dev,
	libglib2.0-dev,
	gfortran
Suggests: dcl-utils
Description: GFD-DENNOU Club Library (DCL) - static library and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static library, header files, wrapper scripts.

Package: libf77dcl6
Architecture: any
Section: libs
Replaces: libf77dcl5 (<< 6.0.2-5~)
Breaks: libf77dcl5 (<< 6.0.2-5~), libf77dcl5-dbg (<< 6.0.2-5~)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - shared library
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides shared library, database files.

Package: libf77dcl6-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl6 (= ${binary:Version})
Suggests: gdb
Description: GFD-DENNOU Club Library (DCL) - debug symbols
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: dcl-utils
Architecture: all
Section: graphics
Breaks: dcl-f77-utils (<< 6.0.2-5~)
Replaces: dcl-f77-utils (<< 6.0.2-5~)
Depends: ${shlibs:Depends}, ${misc:Depends}, mawk
Description: GFD-DENNOU Club Library (DCL) - post-processing scripts
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries based on Fortran 77 developed by GFD-Dennou Club,
 see http://www.gfd-dennou.org/.
  It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides post-processing scripts for output images.

Package: dcl-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.


Package: dcl-f77-utils
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, dcl-utils
Description: Transitional package: dcl-utils
 This dummy package is provided for a smooth transition from the
 previous dcl-f77-utils package (the package is replaced by dcl-utils).
 .
 It may safely be removed after installation.

Package: libf77dcl5
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, libf77dcl6
Description: Transitional package: libf77dcl6
 This dummy package is provided for a smooth transition from the
 previous libf77dcl5 package (the package is replaced by libf77dcl6).
 .
 It may safely be removed after installation.

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,10 @@
 	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
 	rm debian/tmp/usr/bin/dclconfig
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.0 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.2 \
 	  `find $(CURDIR) -name \*.o`
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.0 libf77dcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.0 libf77dcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.2 libf77dcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.2 libf77dcl.so )
 
 override_dh_install:
 	dh_install --sourcedir=debian/tmp

## dcl 6.0.3

=== debian/changelog ===
dcl (6.0.3-2~1.gbpadc0d8) unstable; urgency=medium

  ** SNAPSHOT build @adc0d8f89e6137349a5a6710edefcfc4acbb6ccd **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Mon, 28 Dec 2015 22:04:50 +0900

dcl (6.0.3-2) unstable; urgency=medium

  * Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 28 Dec 2015 21:55:14 +0900

dcl (6.0.3-1) unstable; urgency=medium

  * Imported Upstream version 6.0.3
    + Bump version number, soname: 6.0.3
  * Add transitional package: libf77dcl5
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 27 Dec 2015 23:34:18 +0900

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,10 @@
 	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
 	rm debian/tmp/usr/bin/dclconfig
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.2 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.3 \
 	  `find $(CURDIR) -name \*.o`
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.2 libf77dcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.2 libf77dcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.3 libf77dcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.3 libf77dcl.so )
 
 override_dh_install:
 	dh_install --sourcedir=debian/tmp

## dcl 6.0.4

=== demo/gokuraku/hop/Makefile ===
#
#       Makefile for hajime (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= hajime
LIBSRCS		= hop.f
LIBDEMO		= hop
LIBEXEC		= hop$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out a.out *.eps *.png *.svg

=== demo/gokuraku/jump/Makefile ===
#
#       Makefile for sosite (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sosite
LIBSRCS		= jump1.f     jump2.f
LIBDEMO		= jump1       jump2
LIBEXEC		= jump1$(EXT) jump2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/gokuraku/step/Makefile ===
#
#       Makefile for tugi (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= tugi
LIBSRCS		= step1.f     step2.f
LIBDEMO		= step1       step2
LIBEXEC		= step1$(EXT) step2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph1/scpack/Makefile ===
#
#       Makefile for scpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= scpack
LIBSRCS		= scpkt1.f     scpkt2.f     scpkt3.f     scpkt4.f     \
		  scpkt5.f     scpkt6.f     scpkt7.f     scpkt8.f
LIBDEMO		= scpkt1       scpkt2       scpkt3       scpkt4      \
		  scpkt5       scpkt6       scpkt7       scpkt8
LIBEXEC		= scpkt1$(EXT) scpkt2$(EXT) scpkt3$(EXT) scpkt4$(EXT) \
		  scpkt5$(EXT) scpkt6$(EXT) scpkt7$(EXT) scpkt8$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uspack/Makefile ===
#
#       Makefile for uspack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uspack
LIBSRCS		= uspk01.f     uspk02.f     uspk03.f     uspk04.f     \
		  uspk05.f     uspk06.f     uspk07.f     uspk08.f     \
		  uspk09.f     uspk10.f     uspk11.f     uspk12.f
LIBDEMO		= uspk01       uspk02       uspk03       uspk04       \
		  uspk05       uspk06       uspk07       uspk08       \
		  uspk09       uspk10       uspk11       uspk12
LIBEXEC		= uspk01$(EXT) uspk02$(EXT) uspk03$(EXT) uspk04$(EXT) \
		  uspk05$(EXT) uspk06$(EXT) uspk07$(EXT) uspk08$(EXT) \
		  uspk09$(EXT) uspk10$(EXT) uspk11$(EXT) uspk12$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/syslib/Makefile ===
#
#       Makefile for syslib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= syslib
LIBSRCS		= sysl01.f     sysl02.f
LIBDEMO 	= sysl01       sysl02
LIBEXEC 	= sysl01$(EXT) sysl02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math2/vstlib/Makefile ===
#
#       Makefile for vstlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vstlib
LIBSRCS		= vstl01.f     vstl02.f
LIBDEMO 	= vstl01       vstl02
LIBEXEC 	= vstl01$(EXT) vstl02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/color/Makefile ===
#
#       Makefile for color (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= color
LIBSRCS		= color1.f     color2.f     color3.f
LIBDEMO		= color1       color2       color3
LIBEXEC		= color1$(EXT) color2$(EXT) color3$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/kihon/Makefile ===
#
#       Makefile for kihon (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= kihon
LIBSRCS		= kihon1.f     kihon2.f     kihon3.f     kihon4.f     \
		  kihon5.f     kihon6.f     kihon7.f     kihon8.f     \
		  kihon9.f     kihona.f     kihonb.f     kihonc.f
LIBDEMO		= kihon1       kihon2       kihon3       kihon4       \
		  kihon5       kihon6       kihon7       kihon8       \
		  kihon9       kihona       kihonb       kihonc
LIBEXEC		= kihon1$(EXT) kihon2$(EXT) kihon3$(EXT) kihon4$(EXT) \
		  kihon5$(EXT) kihon6$(EXT) kihon7$(EXT) kihon8$(EXT) \
		  kihon9$(EXT) kihona$(EXT) kihonb$(EXT) kihonc$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/u2d/Makefile ===
#
#       Makefile for u2d (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u2d
LIBSRCS		= u2d1.f     u2d2.f     u2d3.f     u2d4.f     \
		  u2d5.f     u2d6.f     u2d7.f
LIBDEMO		= u2d1       u2d2       u2d3       u2d4       \
		  u2d5       u2d6       u2d7
LIBEXEC		= u2d1$(EXT) u2d2$(EXT) u2d3$(EXT) u2d4$(EXT) \
		  u2d5$(EXT) u2d6$(EXT) u2d7$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/uxyz/Makefile ===
#
#       Makefile for uxyz (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uxyz
LIBSRCS		= uxyz1.f     uxyz2.f     uxyz3.f     uxyz4.f     \
		  uxyz5.f     uxyz6.f     uxyz7.f     uxyz8.f
LIBDEMO		= uxyz1       uxyz2       uxyz3       uxyz4       \
		  uxyz5       uxyz6       uxyz7       uxyz8
LIBEXEC		= uxyz1$(EXT) uxyz2$(EXT) uxyz3$(EXT) uxyz4$(EXT) \
		  uxyz5$(EXT) uxyz6$(EXT) uxyz7$(EXT) uxyz8$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== src/grph1/scpack/Makefile ===
#
#       Makefile for scpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= scpack
LIBFSRCS	= scsobj.f scseye.f scspln.f scsprj.f scsvpt.f scswnd.f \
		  scslog.f scsorg.f scstrn.f scstrf.f scplu.f  scplzu.f \
		  scplzv.f scpmu.f  scpmzu.f scpmzv.f sctnu.f  sctnzu.f \
		  sctnzv.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= scsobj.o scseye.o scspln.o scsprj.o scsvpt.o scswnd.o \
		  scslog.o scsorg.o scstrn.o scstrf.o scplu.o  scplzu.o \
		  scplzv.o scpmu.o  scpmzu.o scpmzv.o sctnu.o  sctnzu.o \
		  sctnzv.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (6.0.4-1) unstable; urgency=medium

  * Imported Upstream version 6.0.4
  * Update version:6.0.3 -> 6.0.4

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 31 Jan 2016 03:30:54 +0900

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,10 @@
 	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
 	rm debian/tmp/usr/bin/dclconfig
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.3 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.6.0.4 \
 	  `find $(CURDIR) -name \*.o`
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.3 libf77dcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.3 libf77dcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.4 libf77dcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf77dcl.so.6.0.4 libf77dcl.so )
 
 override_dh_install:
 	dh_install --sourcedir=debian/tmp
